Bug 71067 - writes an erroneous XF86Config
writes an erroneous XF86Config
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-keyboard (Show other bugs)
limbo
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-08 09:26 EDT by Jan Moren
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-11 10:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Moren 2002-08-08 09:26:21 EDT
Description of Problem:

When you use redhat-config-keyboard to set the keyboard layout, it switches
values and fields. For Swedish, the keyboard section should read something like:

        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc102"
        Option      "XkbLayout" "se"

But what it writes is:

        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "se"
        Option      "XkbLayout" "pc102"

ie. the app switches the layout and model fields. That is not a good thing.

Version-Release number of selected component (if applicable):

Limbo 2

How Reproducible:

Every time

Steps to Reproduce:

Just use it to set the keyboard to Swedish.


Additional information:

I have at the moment the interesting problem that AltGr isn't properly
recognized (which is what led me to start investigating this). Rectifying this
does not solve the AltGr problem, however.
Comment 1 Brent Fox 2002-08-11 10:54:53 EDT
Doh, I was inverting layout and model.  Should be fixed with 0.9.9-2.  

QA, please verify.
Comment 2 Jay Turner 2002-08-13 10:11:04 EDT
Fix confirmed with redhat-config-keyboard-0.9.9-2.
Comment 3 IBM Bug Proxy 2005-08-10 11:31:40 EDT
---- Additional Comments From sandor.szabo@de.ibm.com  2005-08-10 11:14 EDT -------
We have seen customers creating 2 or more environments to run productive and 
test instances of the same product. They install using --prefix --force options.
The Informix installer uses rpm -e to remove software where always the last 
installed  version will be removed. This could be a huge problem.
Currently a fix of a severe warning message has been coded in the Informix 
product. 

Note You need to log in before you can comment on or make changes to this bug.